<html>
<head>
<title>Ogre::SceneQuery::WorldFragment Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1SceneQuery.html">SceneQuery</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1SceneQuery_1_1WorldFragment.html">WorldFragment</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::SceneQuery::WorldFragment Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::SceneQuery::WorldFragment" -->
<p>Represents part of the world geometry that is a result of a <a class="el" href="classOgre_1_1SceneQuery.html" title="A class for performing queries on a scene.">SceneQuery</a>.  
 <a href="structOgre_1_1SceneQuery_1_1WorldFragment.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreSceneQuery_8h_source.html">OgreSceneQuery.h</a>&gt;</code></p>

<p><a href="structOgre_1_1SceneQuery_1_1WorldFragment-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1SceneQuery.html#a0a75b5ed976da2f9023382f4c4514b3a">WorldFragmentType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneQuery_1_1WorldFragment.html#a57f755adea8044729adff811f61f1a60">fragmentType</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The type of this world fragment.  <a href="#a57f755adea8044729adff811f61f1a60"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneQuery_1_1WorldFragment.html#abfe0314db3e89040486ceb1ba36a8682">singleIntersection</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Single intersection point, only applicable for WFT_SINGLE_INTERSECTION.  <a href="#abfe0314db3e89040486ceb1ba36a8682"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1list.html">list</a>&lt; <a class="el" href="classOgre_1_1Plane.html">Plane</a> &gt;::type *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneQuery_1_1WorldFragment.html#a9ce184deb8bec05fc875ff23be86447f">planes</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Planes bounding a convex region, only applicable for WFT_PLANE_BOUNDED_REGION.  <a href="#a9ce184deb8bec05fc875ff23be86447f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneQuery_1_1WorldFragment.html#af83de2ae922b7f41d25b930705836378">geometry</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Custom geometry block, only applicable for WFT_CUSTOM_GEOMETRY.  <a href="#af83de2ae922b7f41d25b930705836378"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1RenderOperation.html">RenderOperation</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneQuery_1_1WorldFragment.html#a54bfeacb15a22824625be72012600416">renderOp</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">General render operation structure, fallback if nothing else is available.  <a href="#a54bfeacb15a22824625be72012600416"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Represents part of the world geometry that is a result of a <a class="el" href="classOgre_1_1SceneQuery.html" title="A class for performing queries on a scene.">SceneQuery</a>. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Since world geometry is normally vast and sprawling, we need a way of retrieving parts of it based on a query. That is what this struct is for; note there are potentially as many data structures for world geometry as there are SceneManagers, however this structure includes a few common abstractions as well as a more general format. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>The type of world fragment that is returned from a query depends on the <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a>, and the option set using <a class="el" href="classOgre_1_1SceneQuery.html#aec3aa0b8b16c41fae990ee78150f8d2a" title="Tells the query what kind of world geometry to return from queries; often the full renderable geometr...">SceneQuery::setWorldFragmentType</a>. You can see what fragment types are supported on the query in question by calling <a class="el" href="classOgre_1_1SceneQuery.html#ab900f61543657dcbab7d62245021a75f" title="Returns the types of world fragments this query supports.">SceneQuery::getSupportedWorldFragmentTypes()</a>. </dd></dl>

<p>Definition at line <a class="el" href="OgreSceneQuery_8h_source.html#l00108">108</a> of file <a class="el" href="OgreSceneQuery_8h_source.html">OgreSceneQuery.h</a>.</p>
</div><hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a57f755adea8044729adff811f61f1a60"></a><!-- doxytag: member="Ogre::SceneQuery::WorldFragment::fragmentType" ref="a57f755adea8044729adff811f61f1a60" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SceneQuery.html#a0a75b5ed976da2f9023382f4c4514b3a">WorldFragmentType</a> <a class="el" href="structOgre_1_1SceneQuery_1_1WorldFragment.html#a57f755adea8044729adff811f61f1a60">Ogre::SceneQuery::WorldFragment::fragmentType</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The type of this world fragment. </p>

<p>Definition at line <a class="el" href="OgreSceneQuery_8h_source.html#l00110">110</a> of file <a class="el" href="OgreSceneQuery_8h_source.html">OgreSceneQuery.h</a>.</p>

</div>
</div>
<a class="anchor" id="af83de2ae922b7f41d25b930705836378"></a><!-- doxytag: member="Ogre::SceneQuery::WorldFragment::geometry" ref="af83de2ae922b7f41d25b930705836378" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="structOgre_1_1SceneQuery_1_1WorldFragment.html#af83de2ae922b7f41d25b930705836378">Ogre::SceneQuery::WorldFragment::geometry</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Custom geometry block, only applicable for WFT_CUSTOM_GEOMETRY. </p>

<p>Definition at line <a class="el" href="OgreSceneQuery_8h_source.html#l00116">116</a> of file <a class="el" href="OgreSceneQuery_8h_source.html">OgreSceneQuery.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9ce184deb8bec05fc875ff23be86447f"></a><!-- doxytag: member="Ogre::SceneQuery::WorldFragment::planes" ref="a9ce184deb8bec05fc875ff23be86447f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1list.html">list</a>&lt;<a class="el" href="classOgre_1_1Plane.html">Plane</a>&gt;::type* <a class="el" href="structOgre_1_1SceneQuery_1_1WorldFragment.html#a9ce184deb8bec05fc875ff23be86447f">Ogre::SceneQuery::WorldFragment::planes</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Planes bounding a convex region, only applicable for WFT_PLANE_BOUNDED_REGION. </p>

<p>Definition at line <a class="el" href="OgreSceneQuery_8h_source.html#l00114">114</a> of file <a class="el" href="OgreSceneQuery_8h_source.html">OgreSceneQuery.h</a>.</p>

</div>
</div>
<a class="anchor" id="a54bfeacb15a22824625be72012600416"></a><!-- doxytag: member="Ogre::SceneQuery::WorldFragment::renderOp" ref="a54bfeacb15a22824625be72012600416" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderOperation.html">RenderOperation</a>* <a class="el" href="structOgre_1_1SceneQuery_1_1WorldFragment.html#a54bfeacb15a22824625be72012600416">Ogre::SceneQuery::WorldFragment::renderOp</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>General render operation structure, fallback if nothing else is available. </p>

<p>Definition at line <a class="el" href="OgreSceneQuery_8h_source.html#l00118">118</a> of file <a class="el" href="OgreSceneQuery_8h_source.html">OgreSceneQuery.h</a>.</p>

</div>
</div>
<a class="anchor" id="abfe0314db3e89040486ceb1ba36a8682"></a><!-- doxytag: member="Ogre::SceneQuery::WorldFragment::singleIntersection" ref="abfe0314db3e89040486ceb1ba36a8682" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="structOgre_1_1SceneQuery_1_1WorldFragment.html#abfe0314db3e89040486ceb1ba36a8682">Ogre::SceneQuery::WorldFragment::singleIntersection</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Single intersection point, only applicable for WFT_SINGLE_INTERSECTION. </p>

<p>Definition at line <a class="el" href="OgreSceneQuery_8h_source.html#l00112">112</a> of file <a class="el" href="OgreSceneQuery_8h_source.html">OgreSceneQuery.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreSceneQuery_8h_source.html">OgreSceneQuery.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:06
</p>
</body>
</html>
